Last Comment Bug 689924 - Change "Inspect" shortcut to Cmd+Opt+I, Web Console to Cmd+Opt+K (Mac Only)
: Change "Inspect" shortcut to Cmd+Opt+I, Web Console to Cmd+Opt+K (Mac Only)
Status: VERIFIED FIXED
[fixed-in-fx-team][qa!]
: verified-beta
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: Firefox 11
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-28 06:52 PDT by Anthony Ricaud (:rik)
Modified: 2012-01-03 13:12 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified


Attachments
Patch (1.96 KB, patch)
2011-11-12 19:22 PST, Anthony Ricaud (:rik)
no flags Details | Diff | Splinter Review
Patch v2 (2.07 KB, patch)
2011-11-13 16:45 PST, Anthony Ricaud (:rik)
dao+bmo: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Anthony Ricaud (:rik) 2011-09-28 06:52:14 PDT
Safari, Chrome and Opera uses Cmd+Opt+I to launch their devtools. I think we should match that.

Might be worth changing other shortcuts to replace Shift by Opt also.
Comment 1 Paul Rouget [:paul] 2011-10-10 09:55:25 PDT
> Might be worth changing other shortcuts to replace Shift by Opt also.

Which ones?
Comment 2 Dave Camp (:dcamp) 2011-10-27 08:53:17 PDT

*** This bug has been marked as a duplicate of bug 696759 ***
Comment 3 Anthony Ricaud (:rik) 2011-10-28 03:38:10 PDT
I'm gonna reopen this one because it's only about Mac shortcuts.

The other bug says it can't be done because of Windows bindings.

(In reply to Paul Rouget [:paul] from comment #1)
> > Might be worth changing other shortcuts to replace Shift by Opt also.
> 
> Which ones?
Web Console and Error Console currently use Shift.
Comment 4 Anthony Ricaud (:rik) 2011-11-12 19:22:19 PST
Created attachment 574111 [details] [diff] [review]
Patch

This changes the Web Console and Inspect tool to use Cmd+Alt shortcuts.

I left out the Error console cause I think it's not gonna be a tool for web developers.
Comment 5 Dão Gottwald [:dao] 2011-11-13 06:27:42 PST
Comment on attachment 574111 [details] [diff] [review]
Patch

>+#ifdef XP_MACOSX
>+    <key id="key_webConsole" key="&webConsoleCmd.commandkey;" oncommand="HUDConsoleUI.toggleHUD();" modifiers="accel,alt"/>
>+#else
>     <key id="key_webConsole" key="&webConsoleCmd.commandkey;" oncommand="HUDConsoleUI.toggleHUD();" modifiers="accel,shift"/>
>+#endif

     <key id="key_webConsole" key="&webConsoleCmd.commandkey;"
#ifdef XP_MACOSX
          modifiers="accel,alt"
#else
          modifiers="accel,shift"
#endif
          oncommand="HUDConsoleUI.toggleHUD();"/>
Comment 6 Anthony Ricaud (:rik) 2011-11-13 16:45:15 PST
Created attachment 574200 [details] [diff] [review]
Patch v2

Thanks for the comment Dao, fixed.

I've put Dave for the review but I have no idea who I should ask to review.
Comment 7 Panos Astithas [:past] 2011-11-14 00:36:42 PST
(In reply to Anthony Ricaud (:rik) from comment #6)
> Created attachment 574200 [details] [diff] [review] [diff] [details] [review]
> Patch v2
> 
> Thanks for the comment Dao, fixed.
> 
> I've put Dave for the review but I have no idea who I should ask to review.

You could ask any of the fine gentlemen listed in this page:

https://wiki.mozilla.org/Modules/Firefox
Comment 8 Anthony Ricaud (:rik) 2011-11-14 01:13:42 PST
Comment on attachment 574200 [details] [diff] [review]
Patch v2

Thanks Panos. Then I guess I should ask Dao.
Comment 9 Rob Campbell [:rc] (:robcee) 2011-11-23 04:51:03 PST
https://hg.mozilla.org/integration/fx-team/rev/192f8762963f
Comment 10 Rob Campbell [:rc] (:robcee) 2011-11-23 04:52:37 PST
Updating the summary to reflect reality.

This may severely impact people's muscle memory.
Comment 11 Rob Campbell [:rc] (:robcee) 2011-11-24 08:20:28 PST
https://hg.mozilla.org/mozilla-central/rev/192f8762963f
Comment 12 Rob Campbell [:rc] (:robcee) 2011-11-24 08:23:02 PST
Comment on attachment 574200 [details] [diff] [review]
Patch v2

Since this changes the key for a new feature, we should land this in aurora to get people used to it.

The webconsole key-binding should be considered a companion setting.

Low-risk. No code changes.
Comment 13 christian 2011-11-28 12:47:51 PST
[triage comment]
Is there any downside to supporting both the current and this shortcut for web console? Hasn't web console shipped with that shortcut in multiple releases, and wouldn't we be breaking muscle memory that way?
Comment 14 Rob Campbell [:rc] (:robcee) 2011-11-29 05:54:14 PST
(In reply to Christian Legnitto [:LegNeato] from comment #13)
> [triage comment]
> Is there any downside to supporting both the current and this shortcut for
> web console? Hasn't web console shipped with that shortcut in multiple
> releases, and wouldn't we be breaking muscle memory that way?

like, having two shortcuts assigned for the web console? Only downside is some untested xul.

It does break muscle memory, and in some cases, interferes with other shortcuts requiring users to reconfigure hotkeys outside of Firefox (in my case, OmniFocus).
Comment 15 Axel Hecht [:Pike] 2011-11-29 14:39:34 PST
Did you test that this doesn't break existing localized shortcuts in localizations? (I don't think we have anything better than tweaking a mozmill l10n test and run through all localized builds.)
Comment 16 Rob Campbell [:rc] (:robcee) 2011-11-30 10:23:44 PST
uh, no, I have no idea how to test that.

I filed a follow-up bug to this: bug 706204 to restore the original web console shortcut as per legneato's comment 13. I'd like to get that into aurora at the same time.
Comment 17 Anthony Ricaud (:rik) 2011-12-14 11:30:00 PST
I just received an email asking me to land this on Aurora. Since I cannot do that, de-assigning myself.

Can someone take it?
Comment 18 Paul Rouget [:paul] 2011-12-14 11:38:50 PST
I will land that tomorrow.
Comment 20 Vlad [QA] 2012-01-03 07:25:41 PST
I have tried this on:
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:10.0) Gecko/20100101 Firefox/10.0 beta 2
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0) Gecko/20100101 Firefox/10.0 beta 2

Cmd+Opt+I opens "Inspect" and Cmd+Opt+K opens "Web Console"

Setting resolution to Verified Fixed

Note You need to log in before you can comment on or make changes to this bug.